-- 支付方式表的变更 --
alter  table purch_contract_settle_payment change payment_method payment_method varchar(1024) DEFAULT NULL COMMENT '付款方式';

UPDATE purch_contract_settle_payment t1 set payment_method  = (select name from t_dictionary where id = t1.payment_method);

alter table purch_contract_settle_payment add bank_name varchar(256) NOT NULL COMMENT '银行名称';

alter table purch_contract_settle_payment add bank_account_name varchar(256) NOT NULL COMMENT '供应商收款账户名';

alter table purch_contract_settle_payment add bank_account varchar(64) NOT NULL COMMENT '收款账号';

-- 支付方式历史表的变更 --
alter  table purch_contract_settle_payment_history change payment_method payment_method varchar(1024) DEFAULT NULL COMMENT '付款方式';

UPDATE purch_contract_settle_payment_history t1 set payment_method  = (select name from t_dictionary where id = t1.payment_method);

alter table purch_contract_settle_payment_history add bank_name varchar(256) NOT NULL COMMENT '银行名称';

alter table purch_contract_settle_payment_history add bank_account_name varchar(256) NOT NULL COMMENT '供应商收款账户名';

alter table purch_contract_settle_payment_history add bank_account varchar(64) NOT NULL COMMENT '银行卡号';

-- 改变采购合同结算方式
update t_dictionary set name = "A：本合同价款采用可变单价方式确定，以合同约定价格计算方式确定。" where id =1033;

update t_dictionary set name = "B：本合同价款采用固定单价方式。" where id =1034;

update t_dictionary set name = "C：本合同价款采用可变单价方式确定，最终结算单价以合同指定签认人共同签署确认为准。" where id =1035;

-- 2.04版本上线